package responses

import (
	"git.agecem.com/agecem/bottin-agenda/models"
	bottinmodels "git.agecem.com/agecem/bottin/v5/models"
)

type PostSeedResponse struct {
	Message string `json:"message"`
}

type GetMembreResponseData struct {
	Membre bottinmodels.Membre `json:"membre"`
}

type GetMembreResponse struct {
	Message string                `json:"message"`
	Data    GetMembreResponseData `json:"data"`
}

type PostTransactionsResponseData struct {
	Transactions []models.Transaction `json:"transactions"`
}

type PostTransactionsResponse struct {
	Message string                       `json:"message"`
	Data    PostTransactionsResponseData `json:"data"`
}

type GetTransactionsResponseData struct {
	Transactions []models.Transaction `json:"transactions"`
}

type GetTransactionsResponse struct {
	Message string                      `json:"message"`
	Data    GetTransactionsResponseData `json:"data"`
}
